/*CSS Reset*/
*{
    margin:0px;
    padding:0px;
}
header img{
	display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom:  0;
  margin-top:  0;
  width: 50%;
}
aside {
	width: 30em;
  float: right;
  color: #000000;
  background-color: #eeeeee;
  margin: 25px 25px 35px 45px;
}
aside p{
	
  float: left;
  color: blue;
  margin: 5px 3px 3px 25px;
}
aside h2{
	
  float: left;
  color: red;
  margin: 5px 5px 5px 25px;
}
#top{
    color:rgb(245, 10, 10);
    text-align:center;
    font-size:46px;
    font-family: 'Ubuntu Mono', monospace;
}
#top1{
    text-align:center;
    color:black;
    font-size:21px;
    font-family: 'Ubuntu Mono', monospace;
}
/* Navigation bar styling*/

nav {
		    	float:left;
				background-color: orange;
				color:#000000;
				width:100%;
				padding-top :0;
		        padding-bottom :0;
		        padding-right :0;
		        padding-left :0;
				}

/*Navbar Functionality*/
#navbar{
    display:flex;
    flex-direction: column;
    background-color: gray;
    height: 14vh;
    width: 100vw;
    font-family: 'Ubuntu Mono', monospace;
    margin-top:5px;
   border: 2px solid black;
   border-radius:15px;
}
nav a {
		
		width:6em;
		float:left;
		text-decoration:none;
		padding-top :0.2em;
		padding-bottom :0.2em;
		padding-right :0.6em;
		padding-left :0.6em;
		color:white;
		background-color:blue;
		border: 1px solid white;
        
}		

nav a:hover {
		background-color: #c39b77;
		}
nav	a:active {
    background-color: #fc0 !important;
    color: #ccc !important;
}

/*Navbar content functionality*/


/*Navbar content styling*/
ul li{
    
    margin: 5px;
    border-radius: 20px;
}
ul li a{
    padding: 1px;
    text-decoration: none;
    border-radius:10px;
}
ul li a:hover{
    background-color: yellow;
    border-radius: 10px;
}
ul li a:active{
    background-color: blue;
    border-radius: 10px;
}

.blink_me {
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}
/* website background image designing */
#container1{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    height:63vh;
}

/*Setting the background image using before pseudo selector*/ 
#container1::before{
    content:'';
    width: 100vw;
    height:59vh;
    position: absolute;
    top:0px;
    left: 0px;
    font-family: 'Ubuntu Mono', monospace;
    margin-right:45px;
    font-weight: bold;
    z-index: -1;
    opacity: 0.89;
    border: 2px solid black;
    border-bottom-left-radius: 100px;
}

#row1{
   color: black;
    font-weight:bold;
    font-size: 2rem;
    text-align: center;
    margin-top: 35px;
}
/*Button Styling*/
.btn{
    margin-top:15px;
    border: 3px solid white;
    border-radius:15px;
    background-color:yellow;
    font-size:20px;
    font-weight: bold;
    font-family: 'Ubuntu Mono', monospace;
}
.btn:hover{
    cursor: pointer;
    background-color: red;
}


#container3{
    display: flex;
    justify-content: space-evenly;
}
#row2{
    width:24vw;
    height:21vh;
    box-shadow: 2px 7px 16px 19px red;
     margin-top:51px;
     margin-bottom: 51px;
     display: flex;
    justify-content: center;
     align-items: flex-end;
     position: relative;
     margin-right: 38px;
     border-radius: 40px;
}
#row2::before{
    content: '';
    position: absolute;
    top: 0px;
    left:0px;
    width: 24vw;
    height:21vh;
    z-index: -1;
    border-radius: 40px;
}
#row3{
    position: relative;
    width: 24vw;
    height:21vh;
    display: flex;
    justify-content: center;
     align-items: flex-end;
     box-shadow: 2px 7px 16px 19px orange;
     margin-top:51px;
     margin-bottom: 51px;
     
     margin-left: 38px;
     border-radius: 40px;
}
#row3::before{
    content: '';
    position: absolute;
    top:0px;
    left:0px;
    width: 24vw;
    height:21vh;
    z-index: -1;
    border-radius: 40px;
}

#top3{
    text-align: center;
    color:red;
    font-family: 'Ubuntu Mono', monospace;
}
#container4{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    margin: 41px;
	font-family: Arial;
    font-size: 18px;
    font-weight: bold;
    vertical-align: text-top;
	
} 


#row4{
   margin-left:16%;
   display: inline-block;
   position: relative;
   text-align: center;
   color: rgb(64, 11, 124);
   border: 2px solid black;
   border-radius: 15px;
   box-shadow: 2px 7px 16px 19px gold;
}
#row5{
      margin-left:16%;
   display: inline-block;
   position: relative;
   text-align: center;
   color: rgb(64, 11, 124);
   border: 2px solid black;
   border-radius: 15px;
      box-shadow: 2px 7px 16px 19px green;
}
#row6{
      margin-left:16%;
   display: inline-block;
   position: relative;
   text-align: center;
   color: rgb(64, 11, 124);
   border: 2px solid black;
   border-radius: 15px;
      box-shadow: 2px 7px 16px 19px violet;
}


/*Designing the footer*/
footer {
    float: right;
    height: 35px;
    margin: 0px 50px 0px 0px;
    background: #9FF;
    color: #000;
    text-align: right;
    padding: 10px 30px;
    width: 400px;
}
/*Designing of Contact Us*/
#ContactUs{
    width:100vw;
    height:100vh;
    display:flex;
    flex-direction: column;
    align-items: center;
    background-color: gray;
}
.form-shape input, .form-shape select, .form-shape textarea{
   width: 92%;
   padding: 0.5rem;
}
/*Changing the color of placeholder*/
::placeholder{                  
    color:gray;
}
/*Making the webpage responsive using media quries*/
@media only screen and (max-width:1131px){
    #row4{
        width: 42vw;
    }
    #row5{
        width:45vw;
    }
    #row6{
        margin-top: 20px;
        width:90vw;
    }
}
@media only screen and (min-width:600px) and (max-width:781px)
{
    #row4{
        width:84vw;
        margin: auto;
        margin-left: 22px;
    }
    #row5{
        
        width:84vw;
        margin: auto;
        margin-top: 20px;
        margin-left: 22px;
    }
    #row6{
        width:84vw;
        margin: auto;
        margin-top: 20px;
        margin-left: 22px;
    }
}
@media only screen and (max-width:600px){
    #row4{
        width:78vw;
        margin: auto;
        margin-left: 3px;
    }
    #row5{
        
        width:78vw;
        margin: auto;
        margin-top: 20px;
        margin-left: 3px;
    }
    #row6{
        width:78vw;
        margin: auto;
        margin-top: 20px;
        margin-left: 3px;
    }
}
@media only screen and (min-height:1000px){
    #navbar{
        height:10vh;
    }
    #container1::before{
        height:39vh;
    }
    #container1{
        height:44vh
    }
}